If WScript.Arguments.Count <> 2 Then
	Wscript.Echo "usage:" & vbCrLf & "[/a|/r] [path]"
	WScript.Quit
End If

'************************************************************
'* Updates Environemnt Variable PATH *
'************************************************************
Dim ExistingPath, NewPath, Dir
Set oShell = WScript.CreateObject("WScript.Shell")
Set oEnv = oShell.Environment("SYSTEM")
Dir = WScript.Arguments(1)

'************************************************************
'* Add new PATH below where Dir *
'************************************************************
ExistingPath = oEnv("PATH")

If StrComp(WScript.Arguments(0), "/a", 1) = 0 Then
	If InStr(1, ExistingPath, Dir & ";", 1) = 0 And _
	   InStr(1, ExistingPath, ";" & Dir, 1) = 0 Then
		NewPath = ExistingPath & ";" & Dir
		oEnv("PATH") = NewPath
		WScript.Echo Dir & " added to the PATH"
	Else
		WScript.Echo Dir & " is already in the PATH, no change needed"
	End If
ElseIf StrComp(WScript.Arguments(0), "/r", 1) = 0 Then
	NewPath = Replace(ExistingPath, Dir & ";", "", 1, -1, 1)
	NewPath = Replace(NewPath, ";" & Dir, "", 1, -1, 1)
	oEnv("PATH") = NewPath
	WScript.Echo "PATH cleared of " & Dir
Else
	WScript.Echo "Uknown command " & WScript.Arguments(0)
End If
