/*
  Windows 2000 XP API Wrapper Pack
  Copyright (C) 2008 OldCigarette

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#define INI_FILENAME     "\\win2k_xp_kernel32.ini"
#define KERNEL32_SECTION "win2k_xp_kernel32"
#define KERNEL32_SECTIONW L"win2k_xp_kernel32"
#define USER32_SECTION   "win2k_xp_user32"
#define VERSION_SECTION  "version_module_list"

#define S_VERSION_FAKING_EXCLUDE "exclude"
#define S_VERSION_FAKING_INCLUDE "include"

#define VERSION_FAKING_EXCLUDE   0
#define VERSION_FAKING_INCLUDE   1

//Can't read anymore than this w/ GetPrivateProfileSection
#define VERSION_MOD_LIST_SIZE    32768

//Only keep so many rawinput structures
#define RAWINPUTHANDLETABLESIZE     32

#define ARRAY_SIZE(x) (sizeof((x))/sizeof((x)[0]))

#define BIT(x) (1<<(x))

