/*
  Windows 2000 XP API Wrapper Pack
  Copyright (C) 2008 OldCigarette

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "../common/forwards.h"

__declspec(dllexport) void __stdcall SHGetDesktopFolder (int int0) { }
__declspec(dllexport) void __stdcall StrChrA (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrChrIA (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrChrIW (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrChrW (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrCmpNA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrCmpNIA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrCmpNIW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrCmpNW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrCpyNA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrCpyNW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCmpA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCmpIA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCmpIW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCmpW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCpyA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrNCpyW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRChrA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRChrIA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRChrIW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRChrW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRStrA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRStrIA (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRStrIW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrRStrW (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall StrStrA (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrStrIA (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrStrIW (int int0, int int4) { }
__declspec(dllexport) void __stdcall StrStrW (int int0, int int4) { }
__declspec(dllexport) void __stdcall SHGetFolderPathA (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall SHGetFolderPathW (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall SHCreateDirectory (int int0, int int4) { }
__declspec(dllexport) void __stdcall ILFree (int int0) { }
__declspec(dllexport) void __stdcall ILClone (int int0) { }
__declspec(dllexport) void __stdcall SHGetRealIDL (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall SHGetMalloc (int int0) { }
__declspec(dllexport) void __stdcall SHBindToParent (int int0, int int4, int int8, int int12) { }
__declspec(dllexport) void __stdcall ILRemoveLastID (int int0) { }
__declspec(dllexport) void __stdcall ILCombine (int int0, int int4) { }

UNKNOWN_IMPL(CheckEscapesA);
UNKNOWN_IMPL(CheckEscapesW);
UNKNOWN_IMPL(CommandLineToArgvW);
UNKNOWN_IMPL(Control_FillCache_RunDLL);
UNKNOWN_IMPL(Control_FillCache_RunDLLA);
UNKNOWN_IMPL(Control_FillCache_RunDLLW);
UNKNOWN_IMPL(Control_RunDLL);
UNKNOWN_IMPL(Control_RunDLLA);
UNKNOWN_IMPL(Control_RunDLLAsUserW);
UNKNOWN_IMPL(Control_RunDLLW);
UNKNOWN_IMPL(DllCanUnloadNow);
UNKNOWN_IMPL(DllGetClassObject);
UNKNOWN_IMPL(DllGetVersion);
UNKNOWN_IMPL(DllInstall);
UNKNOWN_IMPL(DllRegisterServer);
UNKNOWN_IMPL(DllUnregisterServer);
UNKNOWN_IMPL(DoEnvironmentSubstA);
UNKNOWN_IMPL(DoEnvironmentSubstW);
UNKNOWN_IMPL(DragAcceptFiles);
UNKNOWN_IMPL(DragFinish);
UNKNOWN_IMPL(DragQueryFile);
UNKNOWN_IMPL(DragQueryFileA);
UNKNOWN_IMPL(DragQueryFileAorW);
UNKNOWN_IMPL(DragQueryFileW);
UNKNOWN_IMPL(DragQueryPoint);
UNKNOWN_IMPL(DuplicateIcon);
UNKNOWN_IMPL(ExtractAssociatedIconA);
UNKNOWN_IMPL(ExtractAssociatedIconExA);
UNKNOWN_IMPL(ExtractAssociatedIconExW);
UNKNOWN_IMPL(ExtractAssociatedIconW);
UNKNOWN_IMPL(ExtractIconA);
UNKNOWN_IMPL(ExtractIconEx);
UNKNOWN_IMPL(ExtractIconExA);
UNKNOWN_IMPL(ExtractIconExW);
UNKNOWN_IMPL(ExtractIconResInfoA);
UNKNOWN_IMPL(ExtractIconResInfoW);
UNKNOWN_IMPL(ExtractIconW);
UNKNOWN_IMPL(ExtractVersionResource16W);
UNKNOWN_IMPL(FindExeDlgProc);
UNKNOWN_IMPL(FindExecutableA);
UNKNOWN_IMPL(FindExecutableW);
UNKNOWN_IMPL(FixupOptionalComponents);
UNKNOWN_IMPL(FreeIconList);
UNKNOWN_IMPL(InternalExtractIconListA);
UNKNOWN_IMPL(InternalExtractIconListW);
UNKNOWN_IMPL(OCInstall);
UNKNOWN_IMPL(OpenAs_RunDLL);
UNKNOWN_IMPL(OpenAs_RunDLLA);
UNKNOWN_IMPL(OpenAs_RunDLLW);
UNKNOWN_IMPL(PrintersGetCommand_RunDLL);
UNKNOWN_IMPL(PrintersGetCommand_RunDLLA);
UNKNOWN_IMPL(PrintersGetCommand_RunDLLW);
UNKNOWN_IMPL(RealShellExecuteA);
UNKNOWN_IMPL(RealShellExecuteExA);
UNKNOWN_IMPL(RealShellExecuteExW);
UNKNOWN_IMPL(RealShellExecuteW);
UNKNOWN_IMPL(RegenerateUserEnvironment);
UNKNOWN_IMPL(SHAddToRecentDocs);
UNKNOWN_IMPL(SHAppBarMessage);
UNKNOWN_IMPL(SHBrowseForFolder);
UNKNOWN_IMPL(SHBrowseForFolderA);
UNKNOWN_IMPL(SHBrowseForFolderW);
UNKNOWN_IMPL(SHChangeNotify);
UNKNOWN_IMPL(SHChangeNotifySuspendResume);
UNKNOWN_IMPL(SHCreateDirectoryExA);
UNKNOWN_IMPL(SHCreateDirectoryExW);
UNKNOWN_IMPL(SHCreateProcessAsUserW);
UNKNOWN_IMPL(SHEmptyRecycleBinA);
UNKNOWN_IMPL(SHEmptyRecycleBinW);
UNKNOWN_IMPL(SHExtractIconsW);
UNKNOWN_IMPL(SHFileOperation);
UNKNOWN_IMPL(SHFileOperationA);
UNKNOWN_IMPL(SHFileOperationW);
UNKNOWN_IMPL(SHFormatDrive);
UNKNOWN_IMPL(SHFreeNameMappings);
UNKNOWN_IMPL(SHGetDataFromIDListA);
UNKNOWN_IMPL(SHGetDataFromIDListW);
UNKNOWN_IMPL(SHGetDiskFreeSpaceA);
UNKNOWN_IMPL(SHGetDiskFreeSpaceExA);
UNKNOWN_IMPL(SHGetDiskFreeSpaceExW);
UNKNOWN_IMPL(SHGetFileInfo);
UNKNOWN_IMPL(SHGetFileInfoA);
UNKNOWN_IMPL(SHGetFileInfoW);
UNKNOWN_IMPL(SHGetFolderLocation);
UNKNOWN_IMPL(SHGetIconOverlayIndexA);
UNKNOWN_IMPL(SHGetIconOverlayIndexW);
UNKNOWN_IMPL(SHGetInstanceExplorer);
UNKNOWN_IMPL(SHGetNewLinkInfo);
UNKNOWN_IMPL(SHGetNewLinkInfoA);
UNKNOWN_IMPL(SHGetNewLinkInfoW);
UNKNOWN_IMPL(SHGetPathFromIDList);
UNKNOWN_IMPL(SHGetPathFromIDListA);
UNKNOWN_IMPL(SHGetPathFromIDListW);
UNKNOWN_IMPL(SHGetSettings);
UNKNOWN_IMPL(SHGetSpecialFolderLocation);
UNKNOWN_IMPL(SHGetSpecialFolderPathA);
UNKNOWN_IMPL(SHGetSpecialFolderPathW);
UNKNOWN_IMPL(SHHelpShortcuts_RunDLL);
UNKNOWN_IMPL(SHHelpShortcuts_RunDLLA);
UNKNOWN_IMPL(SHHelpShortcuts_RunDLLW);
UNKNOWN_IMPL(SHInvokePrinterCommandA);
UNKNOWN_IMPL(SHInvokePrinterCommandW);
UNKNOWN_IMPL(SHIsFileAvailableOffline);
UNKNOWN_IMPL(SHLoadInProc);
UNKNOWN_IMPL(SHLoadNonloadedIconOverlayIdentifiers);
UNKNOWN_IMPL(SHPathPrepareForWriteA);
UNKNOWN_IMPL(SHPathPrepareForWriteW);
UNKNOWN_IMPL(SHQueryRecycleBinA);
UNKNOWN_IMPL(SHQueryRecycleBinW);
UNKNOWN_IMPL(SHUpdateRecycleBinIcon);
UNKNOWN_IMPL(SheChangeDirA);
UNKNOWN_IMPL(SheChangeDirExA);
UNKNOWN_IMPL(SheChangeDirExW);
UNKNOWN_IMPL(SheChangeDirW);
UNKNOWN_IMPL(SheConvertPathW);
UNKNOWN_IMPL(SheFullPathA);
UNKNOWN_IMPL(SheFullPathW);
UNKNOWN_IMPL(SheGetCurDrive);
UNKNOWN_IMPL(SheGetDirA);
UNKNOWN_IMPL(SheGetDirExW);
UNKNOWN_IMPL(SheGetDirW);
UNKNOWN_IMPL(SheGetPathOffsetW);
UNKNOWN_IMPL(SheRemoveQuotesA);
UNKNOWN_IMPL(SheRemoveQuotesW);
UNKNOWN_IMPL(SheSetCurDrive);
UNKNOWN_IMPL(SheShortenPathA);
UNKNOWN_IMPL(SheShortenPathW);
UNKNOWN_IMPL(ShellAboutA);
UNKNOWN_IMPL(ShellAboutW);
UNKNOWN_IMPL(ShellExec_RunDLL);
UNKNOWN_IMPL(ShellExec_RunDLLA);
UNKNOWN_IMPL(ShellExec_RunDLLW);
UNKNOWN_IMPL(ShellExecuteA);
UNKNOWN_IMPL(ShellExecuteEx);
UNKNOWN_IMPL(ShellExecuteExA);
UNKNOWN_IMPL(ShellExecuteExW);
UNKNOWN_IMPL(ShellExecuteW);
UNKNOWN_IMPL(ShellHookProc);
UNKNOWN_IMPL(Shell_NotifyIcon);
UNKNOWN_IMPL(Shell_NotifyIconA);
UNKNOWN_IMPL(Shell_NotifyIconW);
UNKNOWN_IMPL(WOWShellExecute);
UNKNOWN_IMPL(NONAME_2);
UNKNOWN_IMPL(NONAME_3);
UNKNOWN_IMPL(NONAME_4);
UNKNOWN_IMPL(NONAME_5);
UNKNOWN_IMPL(NONAME_6);
UNKNOWN_IMPL(NONAME_7);
UNKNOWN_IMPL(NONAME_8);
UNKNOWN_IMPL(NONAME_9);
UNKNOWN_IMPL(NONAME_10);
UNKNOWN_IMPL(NONAME_11);
UNKNOWN_IMPL(NONAME_12);
UNKNOWN_IMPL(NONAME_13);
UNKNOWN_IMPL(NONAME_14);
UNKNOWN_IMPL(NONAME_15);
UNKNOWN_IMPL(NONAME_16);
UNKNOWN_IMPL(NONAME_19);
UNKNOWN_IMPL(NONAME_20);
UNKNOWN_IMPL(NONAME_21);
UNKNOWN_IMPL(NONAME_22);
UNKNOWN_IMPL(NONAME_23);
UNKNOWN_IMPL(NONAME_24);
UNKNOWN_IMPL(NONAME_26);
UNKNOWN_IMPL(NONAME_27);
UNKNOWN_IMPL(NONAME_28);
UNKNOWN_IMPL(NONAME_29);
UNKNOWN_IMPL(NONAME_31);
UNKNOWN_IMPL(NONAME_32);
UNKNOWN_IMPL(NONAME_33);
UNKNOWN_IMPL(NONAME_34);
UNKNOWN_IMPL(NONAME_35);
UNKNOWN_IMPL(NONAME_36);
UNKNOWN_IMPL(NONAME_38);
UNKNOWN_IMPL(NONAME_41);
UNKNOWN_IMPL(NONAME_42);
UNKNOWN_IMPL(NONAME_43);
UNKNOWN_IMPL(NONAME_45);
UNKNOWN_IMPL(NONAME_46);
UNKNOWN_IMPL(NONAME_47);
UNKNOWN_IMPL(NONAME_48);
UNKNOWN_IMPL(NONAME_49);
UNKNOWN_IMPL(NONAME_50);
UNKNOWN_IMPL(NONAME_51);
UNKNOWN_IMPL(NONAME_52);
UNKNOWN_IMPL(NONAME_53);
UNKNOWN_IMPL(NONAME_54);
UNKNOWN_IMPL(NONAME_55);
UNKNOWN_IMPL(NONAME_56);
UNKNOWN_IMPL(NONAME_58);
UNKNOWN_IMPL(NONAME_59);
UNKNOWN_IMPL(NONAME_60);
UNKNOWN_IMPL(NONAME_61);
UNKNOWN_IMPL(NONAME_62);
UNKNOWN_IMPL(NONAME_63);
UNKNOWN_IMPL(NONAME_64);
UNKNOWN_IMPL(NONAME_65);
UNKNOWN_IMPL(NONAME_66);
UNKNOWN_IMPL(NONAME_67);
UNKNOWN_IMPL(NONAME_68);
UNKNOWN_IMPL(NONAME_69);
UNKNOWN_IMPL(NONAME_70);
UNKNOWN_IMPL(NONAME_71);
UNKNOWN_IMPL(NONAME_72);
UNKNOWN_IMPL(NONAME_73);
UNKNOWN_IMPL(NONAME_74);
UNKNOWN_IMPL(NONAME_75);
UNKNOWN_IMPL(NONAME_76);
UNKNOWN_IMPL(NONAME_77);
UNKNOWN_IMPL(NONAME_78);
UNKNOWN_IMPL(NONAME_79);
UNKNOWN_IMPL(NONAME_80);
UNKNOWN_IMPL(NONAME_82);
UNKNOWN_IMPL(NONAME_83);
UNKNOWN_IMPL(NONAME_84);
UNKNOWN_IMPL(NONAME_85);
UNKNOWN_IMPL(NONAME_86);
UNKNOWN_IMPL(NONAME_87);
UNKNOWN_IMPL(NONAME_88);
UNKNOWN_IMPL(NONAME_89);
UNKNOWN_IMPL(NONAME_90);
UNKNOWN_IMPL(NONAME_91);
UNKNOWN_IMPL(NONAME_92);
UNKNOWN_IMPL(NONAME_93);
UNKNOWN_IMPL(NONAME_94);
UNKNOWN_IMPL(NONAME_95);
UNKNOWN_IMPL(NONAME_96);
UNKNOWN_IMPL(NONAME_97);
UNKNOWN_IMPL(NONAME_99);
UNKNOWN_IMPL(NONAME_100);
UNKNOWN_IMPL(NONAME_101);
UNKNOWN_IMPL(NONAME_102);
UNKNOWN_IMPL(NONAME_103);
UNKNOWN_IMPL(NONAME_104);
UNKNOWN_IMPL(NONAME_105);
UNKNOWN_IMPL(NONAME_106);
UNKNOWN_IMPL(NONAME_107);
UNKNOWN_IMPL(NONAME_108);
UNKNOWN_IMPL(NONAME_109);
UNKNOWN_IMPL(NONAME_110);
UNKNOWN_IMPL(NONAME_111);
UNKNOWN_IMPL(NONAME_112);
UNKNOWN_IMPL(NONAME_113);
UNKNOWN_IMPL(NONAME_114);
UNKNOWN_IMPL(NONAME_115);
UNKNOWN_IMPL(NONAME_116);
UNKNOWN_IMPL(NONAME_117);
UNKNOWN_IMPL(NONAME_118);
UNKNOWN_IMPL(NONAME_119);
UNKNOWN_IMPL(NONAME_120);
UNKNOWN_IMPL(NONAME_121);
UNKNOWN_IMPL(NONAME_122);
UNKNOWN_IMPL(NONAME_123);
UNKNOWN_IMPL(NONAME_124);
UNKNOWN_IMPL(NONAME_126);
UNKNOWN_IMPL(NONAME_127);
UNKNOWN_IMPL(NONAME_128);
UNKNOWN_IMPL(NONAME_129);
UNKNOWN_IMPL(NONAME_130);
UNKNOWN_IMPL(NONAME_131);
UNKNOWN_IMPL(NONAME_132);
UNKNOWN_IMPL(NONAME_134);
UNKNOWN_IMPL(NONAME_136);
UNKNOWN_IMPL(NONAME_137);
UNKNOWN_IMPL(NONAME_139);
UNKNOWN_IMPL(NONAME_140);
UNKNOWN_IMPL(NONAME_141);
UNKNOWN_IMPL(NONAME_142);
UNKNOWN_IMPL(NONAME_143);
UNKNOWN_IMPL(NONAME_144);
UNKNOWN_IMPL(NONAME_145);
UNKNOWN_IMPL(NONAME_146);
UNKNOWN_IMPL(NONAME_147);
UNKNOWN_IMPL(NONAME_149);
UNKNOWN_IMPL(NONAME_151);
UNKNOWN_IMPL(NONAME_152);
UNKNOWN_IMPL(NONAME_153);
UNKNOWN_IMPL(NONAME_154);
UNKNOWN_IMPL(NONAME_156);
UNKNOWN_IMPL(NONAME_157);
UNKNOWN_IMPL(NONAME_158);
UNKNOWN_IMPL(NONAME_159);
UNKNOWN_IMPL(NONAME_160);
UNKNOWN_IMPL(NONAME_161);
UNKNOWN_IMPL(NONAME_162);
UNKNOWN_IMPL(NONAME_163);
UNKNOWN_IMPL(NONAME_164);
UNKNOWN_IMPL(NONAME_166);
UNKNOWN_IMPL(NONAME_167);
UNKNOWN_IMPL(NONAME_168);
UNKNOWN_IMPL(NONAME_169);
UNKNOWN_IMPL(NONAME_170);
UNKNOWN_IMPL(NONAME_171);
UNKNOWN_IMPL(NONAME_172);
UNKNOWN_IMPL(NONAME_173);
UNKNOWN_IMPL(NONAME_174);
UNKNOWN_IMPL(NONAME_175);
UNKNOWN_IMPL(NONAME_176);
UNKNOWN_IMPL(NONAME_177);
UNKNOWN_IMPL(NONAME_178);
UNKNOWN_IMPL(NONAME_181);
UNKNOWN_IMPL(NONAME_182);
UNKNOWN_IMPL(NONAME_183);
UNKNOWN_IMPL(NONAME_184);
UNKNOWN_IMPL(NONAME_185);
UNKNOWN_IMPL(NONAME_186);
UNKNOWN_IMPL(NONAME_187);
UNKNOWN_IMPL(NONAME_188);
UNKNOWN_IMPL(NONAME_189);
UNKNOWN_IMPL(NONAME_190);
UNKNOWN_IMPL(NONAME_191);
UNKNOWN_IMPL(NONAME_192);
UNKNOWN_IMPL(NONAME_193);
UNKNOWN_IMPL(NONAME_194);
UNKNOWN_IMPL(NONAME_195);
UNKNOWN_IMPL(NONAME_196);
UNKNOWN_IMPL(NONAME_197);
UNKNOWN_IMPL(NONAME_198);
UNKNOWN_IMPL(NONAME_200);
UNKNOWN_IMPL(NONAME_201);
UNKNOWN_IMPL(NONAME_202);
UNKNOWN_IMPL(NONAME_203);
UNKNOWN_IMPL(NONAME_204);
UNKNOWN_IMPL(NONAME_205);
UNKNOWN_IMPL(NONAME_206);
UNKNOWN_IMPL(NONAME_207);
UNKNOWN_IMPL(NONAME_208);
UNKNOWN_IMPL(NONAME_209);
UNKNOWN_IMPL(NONAME_210);
UNKNOWN_IMPL(NONAME_211);
UNKNOWN_IMPL(NONAME_212);
UNKNOWN_IMPL(NONAME_213);
UNKNOWN_IMPL(NONAME_214);
UNKNOWN_IMPL(NONAME_215);
UNKNOWN_IMPL(NONAME_216);
UNKNOWN_IMPL(NONAME_217);
UNKNOWN_IMPL(NONAME_218);
UNKNOWN_IMPL(NONAME_219);
UNKNOWN_IMPL(NONAME_220);
UNKNOWN_IMPL(NONAME_221);
UNKNOWN_IMPL(NONAME_222);
UNKNOWN_IMPL(NONAME_223);
UNKNOWN_IMPL(NONAME_224);
UNKNOWN_IMPL(NONAME_225);
UNKNOWN_IMPL(NONAME_227);
UNKNOWN_IMPL(NONAME_230);
UNKNOWN_IMPL(NONAME_231);
UNKNOWN_IMPL(NONAME_232);
UNKNOWN_IMPL(NONAME_239);
UNKNOWN_IMPL(NONAME_240);
UNKNOWN_IMPL(NONAME_242);
UNKNOWN_IMPL(NONAME_243);
UNKNOWN_IMPL(NONAME_244);
UNKNOWN_IMPL(NONAME_249);
UNKNOWN_IMPL(NONAME_250);
UNKNOWN_IMPL(NONAME_251);
UNKNOWN_IMPL(NONAME_252);
UNKNOWN_IMPL(NONAME_256);
UNKNOWN_IMPL(NONAME_257);
UNKNOWN_IMPL(NONAME_258);
UNKNOWN_IMPL(NONAME_259);
UNKNOWN_IMPL(NONAME_520);
UNKNOWN_IMPL(NONAME_521);
UNKNOWN_IMPL(NONAME_522);
UNKNOWN_IMPL(NONAME_523);
UNKNOWN_IMPL(NONAME_524);
UNKNOWN_IMPL(NONAME_525);
UNKNOWN_IMPL(NONAME_526);
UNKNOWN_IMPL(NONAME_640);
UNKNOWN_IMPL(NONAME_641);
UNKNOWN_IMPL(NONAME_643);
UNKNOWN_IMPL(NONAME_644);
UNKNOWN_IMPL(NONAME_645);
UNKNOWN_IMPL(NONAME_646);
UNKNOWN_IMPL(NONAME_647);
UNKNOWN_IMPL(NONAME_648);
UNKNOWN_IMPL(NONAME_650);
UNKNOWN_IMPL(NONAME_651);
UNKNOWN_IMPL(NONAME_652);
UNKNOWN_IMPL(NONAME_653);
UNKNOWN_IMPL(NONAME_654);
UNKNOWN_IMPL(NONAME_660);
UNKNOWN_IMPL(NONAME_680);
UNKNOWN_IMPL(NONAME_681);
UNKNOWN_IMPL(NONAME_683);
UNKNOWN_IMPL(NONAME_684);
UNKNOWN_IMPL(NONAME_685);
UNKNOWN_IMPL(NONAME_688);
UNKNOWN_IMPL(NONAME_689);
UNKNOWN_IMPL(NONAME_690);
UNKNOWN_IMPL(NONAME_700);
UNKNOWN_IMPL(NONAME_701);
UNKNOWN_IMPL(NONAME_702);
UNKNOWN_IMPL(NONAME_703);
UNKNOWN_IMPL(NONAME_704);
UNKNOWN_IMPL(NONAME_707);
UNKNOWN_IMPL(NONAME_708);
UNKNOWN_IMPL(NONAME_709);
UNKNOWN_IMPL(NONAME_711);
UNKNOWN_IMPL(NONAME_712);
UNKNOWN_IMPL(NONAME_713);
UNKNOWN_IMPL(NONAME_714);
UNKNOWN_IMPL(NONAME_715);
UNKNOWN_IMPL(NONAME_716);
//UNKNOWN_IMPL(NONAME_155);
//UNKNOWN_IMPL(NONAME_165);
//UNKNOWN_IMPL(NONAME_18);
//UNKNOWN_IMPL(NONAME_17);
//UNKNOWN_IMPL(NONAME_25);
//UNKNOWN_IMPL(NONAME_98);
