#include "../common/forwards.h"

ORG_DECL CryptAcquireContextA (int int0, int int4, int int8, int int12, int int16);
ORG_DECL CryptGenRandom (int int0, int int4, int int8);
ORG_DECL RegCloseKey (int int0);
ORG_DECL RegDeleteKeyW (int int0, int int4);
ORG_DECL RegCreateKeyExW (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32);
ORG_DECL RegQueryInfoKeyW (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32, int int36, int int40, int int44);
ORG_DECL RegSetValueExW (int int0, int int4, int int8, int int12, int int16, int int20);
ORG_DECL SystemFunction032 (int int0, int int4);
ORG_DECL RegQueryValueExA (int int0, int int4, int int8, int int12, int int16, int int20);
ORG_DECL RegQueryValueExW (int int0, int int4, int int8, int int12, int int16, int int20);
ORG_DECL RegOpenKeyExA (int int0, int int4, int int8, int int12, int int16);
ORG_DECL RegOpenKeyExW (int int0, int int4, int int8, int int12, int int16);
ORG_DECL RegEnumKeyW (int int0, int int4, int int8, int int12);
ORG_DECL CryptReleaseContext (int int0, int int4);
ORG_DECL InitiateSystemShutdownA(int int0, int int4, int int8, int int12, int int16);
ORG_DECL InitiateSystemShutdownExA(int int0, int int4, int int8, int int12, int int16, int int20);
ORG_DECL InitiateSystemShutdownExW(int int0, int int4, int int8, int int12, int int16, int int20);
ORG_DECL InitiateSystemShutdownW(int int0, int int4, int int8, int int12, int int16);

UNKNOWN_DECL(AbortSystemShutdownA);
UNKNOWN_DECL(AbortSystemShutdownW);
UNKNOWN_DECL(AccessCheck);
UNKNOWN_DECL(AccessCheckAndAuditAlarmA);
UNKNOWN_DECL(AccessCheckAndAuditAlarmW);
UNKNOWN_DECL(AccessCheckByType);
UNKNOWN_DECL(AccessCheckByTypeAndAuditAlarmA);
UNKNOWN_DECL(AccessCheckByTypeAndAuditAlarmW);
UNKNOWN_DECL(AccessCheckByTypeResultList);
UNKNOWN_DECL(AccessCheckByTypeResultListAndAuditAlarmA);
UNKNOWN_DECL(AccessCheckByTypeResultListAndAuditAlarmByHandleA);
UNKNOWN_DECL(AccessCheckByTypeResultListAndAuditAlarmByHandleW);
UNKNOWN_DECL(AccessCheckByTypeResultListAndAuditAlarmW);
UNKNOWN_DECL(AddAccessAllowedAce);
UNKNOWN_DECL(AddAccessAllowedAceEx);
UNKNOWN_DECL(AddAccessAllowedObjectAce);
UNKNOWN_DECL(AddAccessDeniedAce);
UNKNOWN_DECL(AddAccessDeniedAceEx);
UNKNOWN_DECL(AddAccessDeniedObjectAce);
UNKNOWN_DECL(AddAce);
UNKNOWN_DECL(AddAuditAccessAce);
UNKNOWN_DECL(AddAuditAccessAceEx);
UNKNOWN_DECL(AddAuditAccessObjectAce);
UNKNOWN_DECL(AddUsersToEncryptedFile);
UNKNOWN_DECL(AdjustTokenGroups);
UNKNOWN_DECL(AdjustTokenPrivileges);
UNKNOWN_DECL(AllocateAndInitializeSid);
UNKNOWN_DECL(AllocateLocallyUniqueId);
UNKNOWN_DECL(AreAllAccessesGranted);
UNKNOWN_DECL(AreAnyAccessesGranted);
UNKNOWN_DECL(BackupEventLogA);
UNKNOWN_DECL(BackupEventLogW);
UNKNOWN_DECL(BuildExplicitAccessWithNameA);
UNKNOWN_DECL(BuildExplicitAccessWithNameW);
UNKNOWN_DECL(BuildImpersonateExplicitAccessWithNameA);
UNKNOWN_DECL(BuildImpersonateExplicitAccessWithNameW);
UNKNOWN_DECL(BuildImpersonateTrusteeA);
UNKNOWN_DECL(BuildImpersonateTrusteeW);
UNKNOWN_DECL(BuildSecurityDescriptorA);
UNKNOWN_DECL(BuildSecurityDescriptorW);
UNKNOWN_DECL(BuildTrusteeWithNameA);
UNKNOWN_DECL(BuildTrusteeWithNameW);
UNKNOWN_DECL(BuildTrusteeWithObjectsAndNameA);
UNKNOWN_DECL(BuildTrusteeWithObjectsAndNameW);
UNKNOWN_DECL(BuildTrusteeWithObjectsAndSidA);
UNKNOWN_DECL(BuildTrusteeWithObjectsAndSidW);
UNKNOWN_DECL(BuildTrusteeWithSidA);
UNKNOWN_DECL(BuildTrusteeWithSidW);
UNKNOWN_DECL(CancelOverlappedAccess);
UNKNOWN_DECL(ChangeServiceConfig2A);
UNKNOWN_DECL(ChangeServiceConfig2W);
UNKNOWN_DECL(ChangeServiceConfigA);
UNKNOWN_DECL(ChangeServiceConfigW);
UNKNOWN_DECL(CheckTokenMembership);
UNKNOWN_DECL(ClearEventLogA);
UNKNOWN_DECL(ClearEventLogW);
UNKNOWN_DECL(CloseEncryptedFileRaw);
UNKNOWN_DECL(CloseEventLog);
UNKNOWN_DECL(CloseServiceHandle);
UNKNOWN_DECL(CloseTrace);
UNKNOWN_DECL(CommandLineFromMsiDescriptor);
UNKNOWN_DECL(ControlService);
UNKNOWN_DECL(ControlTraceA);
UNKNOWN_DECL(ControlTraceW);
UNKNOWN_DECL(ConvertAccessToSecurityDescriptorA);
UNKNOWN_DECL(ConvertAccessToSecurityDescriptorW);
UNKNOWN_DECL(ConvertSDToStringSDRootDomainA);
UNKNOWN_DECL(ConvertSDToStringSDRootDomainW);
UNKNOWN_DECL(ConvertSecurityDescriptorToAccessA);
UNKNOWN_DECL(ConvertSecurityDescriptorToAccessNamedA);
UNKNOWN_DECL(ConvertSecurityDescriptorToAccessNamedW);
UNKNOWN_DECL(ConvertSecurityDescriptorToAccessW);
UNKNOWN_DECL(ConvertSecurityDescriptorToStringSecurityDescriptorA);
UNKNOWN_DECL(ConvertSecurityDescriptorToStringSecurityDescriptorW);
UNKNOWN_DECL(ConvertSidToStringSidA);
UNKNOWN_DECL(ConvertSidToStringSidW);
UNKNOWN_DECL(ConvertStringSDToSDRootDomainA);
UNKNOWN_DECL(ConvertStringSDToSDRootDomainW);
UNKNOWN_DECL(ConvertStringSecurityDescriptorToSecurityDescriptorA);
UNKNOWN_DECL(ConvertStringSecurityDescriptorToSecurityDescriptorW);
UNKNOWN_DECL(ConvertStringSidToSidA);
UNKNOWN_DECL(ConvertStringSidToSidW);
UNKNOWN_DECL(ConvertToAutoInheritPrivateObjectSecurity);
UNKNOWN_DECL(CopySid);
UNKNOWN_DECL(CreatePrivateObjectSecurity);
UNKNOWN_DECL(CreatePrivateObjectSecurityEx);
UNKNOWN_DECL(CreateProcessAsUserA);
UNKNOWN_DECL(CreateProcessAsUserSecure);
UNKNOWN_DECL(CreateProcessAsUserW);
UNKNOWN_DECL(CreateProcessWithLogonW);
UNKNOWN_DECL(CreateRestrictedToken);
UNKNOWN_DECL(CreateServiceA);
UNKNOWN_DECL(CreateServiceW);
UNKNOWN_DECL(CreateTraceInstanceId);
UNKNOWN_DECL(CreateWellKnownSid);
UNKNOWN_DECL(CryptAcquireContextW);
UNKNOWN_DECL(CryptContextAddRef);
UNKNOWN_DECL(CryptCreateHash);
UNKNOWN_DECL(CryptDecrypt);
UNKNOWN_DECL(CryptDeriveKey);
UNKNOWN_DECL(CryptDestroyHash);
UNKNOWN_DECL(CryptDestroyKey);
UNKNOWN_DECL(CryptDuplicateHash);
UNKNOWN_DECL(CryptDuplicateKey);
UNKNOWN_DECL(CryptEncrypt);
UNKNOWN_DECL(CryptEnumProviderTypesA);
UNKNOWN_DECL(CryptEnumProviderTypesW);
UNKNOWN_DECL(CryptEnumProvidersA);
UNKNOWN_DECL(CryptEnumProvidersW);
UNKNOWN_DECL(CryptExportKey);
UNKNOWN_DECL(CryptGenKey);
UNKNOWN_DECL(CryptGetDefaultProviderA);
UNKNOWN_DECL(CryptGetDefaultProviderW);
UNKNOWN_DECL(CryptGetHashParam);
UNKNOWN_DECL(CryptGetKeyParam);
UNKNOWN_DECL(CryptGetProvParam);
UNKNOWN_DECL(CryptGetUserKey);
UNKNOWN_DECL(CryptHashData);
UNKNOWN_DECL(CryptHashSessionKey);
UNKNOWN_DECL(CryptImportKey);
UNKNOWN_DECL(CryptSetHashParam);
UNKNOWN_DECL(CryptSetKeyParam);
UNKNOWN_DECL(CryptSetProvParam);
UNKNOWN_DECL(CryptSetProviderA);
UNKNOWN_DECL(CryptSetProviderExA);
UNKNOWN_DECL(CryptSetProviderExW);
UNKNOWN_DECL(CryptSetProviderW);
UNKNOWN_DECL(CryptSignHashA);
UNKNOWN_DECL(CryptSignHashW);
UNKNOWN_DECL(CryptVerifySignatureA);
UNKNOWN_DECL(CryptVerifySignatureW);
UNKNOWN_DECL(DecryptFileA);
UNKNOWN_DECL(DecryptFileW);
UNKNOWN_DECL(DeleteAce);
UNKNOWN_DECL(DeleteService);
UNKNOWN_DECL(DeregisterEventSource);
UNKNOWN_DECL(DestroyPrivateObjectSecurity);
UNKNOWN_DECL(DuplicateEncryptionInfoFile);
UNKNOWN_DECL(DuplicateToken);
UNKNOWN_DECL(DuplicateTokenEx);
UNKNOWN_DECL(ElfBackupEventLogFileA);
UNKNOWN_DECL(ElfBackupEventLogFileW);
UNKNOWN_DECL(ElfChangeNotify);
UNKNOWN_DECL(ElfClearEventLogFileA);
UNKNOWN_DECL(ElfClearEventLogFileW);
UNKNOWN_DECL(ElfCloseEventLog);
UNKNOWN_DECL(ElfDeregisterEventSource);
UNKNOWN_DECL(ElfFlushEventLog);
UNKNOWN_DECL(ElfNumberOfRecords);
UNKNOWN_DECL(ElfOldestRecord);
UNKNOWN_DECL(ElfOpenBackupEventLogA);
UNKNOWN_DECL(ElfOpenBackupEventLogW);
UNKNOWN_DECL(ElfOpenEventLogA);
UNKNOWN_DECL(ElfOpenEventLogW);
UNKNOWN_DECL(ElfReadEventLogA);
UNKNOWN_DECL(ElfReadEventLogW);
UNKNOWN_DECL(ElfRegisterEventSourceA);
UNKNOWN_DECL(ElfRegisterEventSourceW);
UNKNOWN_DECL(ElfReportEventA);
UNKNOWN_DECL(ElfReportEventW);
UNKNOWN_DECL(EnableTrace);
UNKNOWN_DECL(EncryptFileA);
UNKNOWN_DECL(EncryptFileW);
UNKNOWN_DECL(EncryptionDisable);
UNKNOWN_DECL(EnumDependentServicesA);
UNKNOWN_DECL(EnumDependentServicesW);
UNKNOWN_DECL(EnumServiceGroupW);
UNKNOWN_DECL(EnumServicesStatusA);
UNKNOWN_DECL(EnumServicesStatusExA);
UNKNOWN_DECL(EnumServicesStatusExW);
UNKNOWN_DECL(EnumServicesStatusW);
UNKNOWN_DECL(EqualDomainSid);
UNKNOWN_DECL(EqualPrefixSid);
UNKNOWN_DECL(EqualSid);
UNKNOWN_DECL(FileEncryptionStatusA);
UNKNOWN_DECL(FileEncryptionStatusW);
UNKNOWN_DECL(FindFirstFreeAce);
UNKNOWN_DECL(FreeEncryptionCertificateHashList);
UNKNOWN_DECL(FreeSid);
UNKNOWN_DECL(GetAccessPermissionsForObjectA);
UNKNOWN_DECL(GetAccessPermissionsForObjectW);
UNKNOWN_DECL(GetAce);
UNKNOWN_DECL(GetAclInformation);
UNKNOWN_DECL(GetAuditedPermissionsFromAclA);
UNKNOWN_DECL(GetAuditedPermissionsFromAclW);
UNKNOWN_DECL(GetCurrentHwProfileA);
UNKNOWN_DECL(GetCurrentHwProfileW);
UNKNOWN_DECL(GetEffectiveRightsFromAclA);
UNKNOWN_DECL(GetEffectiveRightsFromAclW);
UNKNOWN_DECL(GetEventLogInformation);
UNKNOWN_DECL(GetExplicitEntriesFromAclA);
UNKNOWN_DECL(GetExplicitEntriesFromAclW);
UNKNOWN_DECL(GetFileSecurityA);
UNKNOWN_DECL(GetFileSecurityW);
UNKNOWN_DECL(GetKernelObjectSecurity);
UNKNOWN_DECL(GetLengthSid);
UNKNOWN_DECL(GetLocalManagedApplications);
UNKNOWN_DECL(GetManagedApplications);
UNKNOWN_DECL(GetMangledSiteSid);
UNKNOWN_DECL(GetMultipleTrusteeA);
UNKNOWN_DECL(GetMultipleTrusteeOperationA);
UNKNOWN_DECL(GetMultipleTrusteeOperationW);
UNKNOWN_DECL(GetMultipleTrusteeW);
UNKNOWN_DECL(GetNamedSecurityInfoA);
UNKNOWN_DECL(GetNamedSecurityInfoExA);
UNKNOWN_DECL(GetNamedSecurityInfoExW);
UNKNOWN_DECL(GetNamedSecurityInfoW);
UNKNOWN_DECL(GetNumberOfEventLogRecords);
UNKNOWN_DECL(GetOldestEventLogRecord);
UNKNOWN_DECL(GetOverlappedAccessResults);
UNKNOWN_DECL(GetPrivateObjectSecurity);
UNKNOWN_DECL(GetSecurityDescriptorControl);
UNKNOWN_DECL(GetSecurityDescriptorDacl);
UNKNOWN_DECL(GetSecurityDescriptorGroup);
UNKNOWN_DECL(GetSecurityDescriptorLength);
UNKNOWN_DECL(GetSecurityDescriptorOwner);
UNKNOWN_DECL(GetSecurityDescriptorRMControl);
UNKNOWN_DECL(GetSecurityDescriptorSacl);
UNKNOWN_DECL(GetSecurityInfo);
UNKNOWN_DECL(GetSecurityInfoExA);
UNKNOWN_DECL(GetSecurityInfoExW);
UNKNOWN_DECL(GetServiceDisplayNameA);
UNKNOWN_DECL(GetServiceDisplayNameW);
UNKNOWN_DECL(GetServiceKeyNameA);
UNKNOWN_DECL(GetServiceKeyNameW);
UNKNOWN_DECL(GetSidIdentifierAuthority);
UNKNOWN_DECL(GetSidLengthRequired);
UNKNOWN_DECL(GetSidSubAuthority);
UNKNOWN_DECL(GetSidSubAuthorityCount);
UNKNOWN_DECL(GetSiteDirectoryA);
UNKNOWN_DECL(GetSiteDirectoryW);
UNKNOWN_DECL(GetSiteNameFromSid);
UNKNOWN_DECL(GetSiteSidFromToken);
UNKNOWN_DECL(GetSiteSidFromUrl);
UNKNOWN_DECL(GetTokenInformation);
UNKNOWN_DECL(GetTraceEnableFlags);
UNKNOWN_DECL(GetTraceEnableLevel);
UNKNOWN_DECL(GetTraceLoggerHandle);
UNKNOWN_DECL(GetTrusteeFormA);
UNKNOWN_DECL(GetTrusteeFormW);
UNKNOWN_DECL(GetTrusteeNameA);
UNKNOWN_DECL(GetTrusteeNameW);
UNKNOWN_DECL(GetTrusteeTypeA);
UNKNOWN_DECL(GetTrusteeTypeW);
UNKNOWN_DECL(GetUserNameA);
UNKNOWN_DECL(GetUserNameW);
UNKNOWN_DECL(GetWindowsAccountDomainSid);
UNKNOWN_DECL(I_ScGetCurrentGroupStateW);
UNKNOWN_DECL(I_ScIsSecurityProcess);
UNKNOWN_DECL(I_ScPnPGetServiceName);
UNKNOWN_DECL(I_ScSetServiceBitsA);
UNKNOWN_DECL(I_ScSetServiceBitsW);
UNKNOWN_DECL(ImpersonateAnonymousToken);
UNKNOWN_DECL(ImpersonateLoggedOnUser);
UNKNOWN_DECL(ImpersonateNamedPipeClient);
UNKNOWN_DECL(ImpersonateSelf);
UNKNOWN_DECL(InitializeAcl);
UNKNOWN_DECL(InitializeSecurityDescriptor);
UNKNOWN_DECL(InitializeSid);
UNKNOWN_DECL(InstallApplication);
UNKNOWN_DECL(IsInSandbox);
UNKNOWN_DECL(IsProcessRestricted);
UNKNOWN_DECL(IsTextUnicode);
UNKNOWN_DECL(IsTokenRestricted);
UNKNOWN_DECL(IsValidAcl);
UNKNOWN_DECL(IsValidSecurityDescriptor);
UNKNOWN_DECL(IsValidSid);
UNKNOWN_DECL(IsWellKnownSid);
UNKNOWN_DECL(LockServiceDatabase);
UNKNOWN_DECL(LogonUserA);
UNKNOWN_DECL(LogonUserW);
UNKNOWN_DECL(LookupAccountNameA);
UNKNOWN_DECL(LookupAccountNameW);
UNKNOWN_DECL(LookupAccountSidA);
UNKNOWN_DECL(LookupAccountSidW);
UNKNOWN_DECL(LookupPrivilegeDisplayNameA);
UNKNOWN_DECL(LookupPrivilegeDisplayNameW);
UNKNOWN_DECL(LookupPrivilegeNameA);
UNKNOWN_DECL(LookupPrivilegeNameW);
UNKNOWN_DECL(LookupPrivilegeValueA);
UNKNOWN_DECL(LookupPrivilegeValueW);
UNKNOWN_DECL(LookupSecurityDescriptorPartsA);
UNKNOWN_DECL(LookupSecurityDescriptorPartsW);
UNKNOWN_DECL(LsaAddAccountRights);
UNKNOWN_DECL(LsaAddPrivilegesToAccount);
UNKNOWN_DECL(LsaClearAuditLog);
UNKNOWN_DECL(LsaClose);
UNKNOWN_DECL(LsaCreateAccount);
UNKNOWN_DECL(LsaCreateSecret);
UNKNOWN_DECL(LsaCreateTrustedDomain);
UNKNOWN_DECL(LsaCreateTrustedDomainEx);
UNKNOWN_DECL(LsaDelete);
UNKNOWN_DECL(LsaDeleteTrustedDomain);
UNKNOWN_DECL(LsaEnumerateAccountRights);
UNKNOWN_DECL(LsaEnumerateAccounts);
UNKNOWN_DECL(LsaEnumerateAccountsWithUserRight);
UNKNOWN_DECL(LsaEnumeratePrivileges);
UNKNOWN_DECL(LsaEnumeratePrivilegesOfAccount);
UNKNOWN_DECL(LsaEnumerateTrustedDomains);
UNKNOWN_DECL(LsaEnumerateTrustedDomainsEx);
UNKNOWN_DECL(LsaFreeMemory);
UNKNOWN_DECL(LsaGetQuotasForAccount);
UNKNOWN_DECL(LsaGetRemoteUserName);
UNKNOWN_DECL(LsaGetSystemAccessAccount);
UNKNOWN_DECL(LsaGetUserName);
UNKNOWN_DECL(LsaICLookupNames);
UNKNOWN_DECL(LsaICLookupSids);
UNKNOWN_DECL(LsaLookupNames);
UNKNOWN_DECL(LsaLookupPrivilegeDisplayName);
UNKNOWN_DECL(LsaLookupPrivilegeName);
UNKNOWN_DECL(LsaLookupPrivilegeValue);
UNKNOWN_DECL(LsaLookupSids);
UNKNOWN_DECL(LsaNtStatusToWinError);
UNKNOWN_DECL(LsaOpenAccount);
UNKNOWN_DECL(LsaOpenPolicy);
UNKNOWN_DECL(LsaOpenPolicySce);
UNKNOWN_DECL(LsaOpenSecret);
UNKNOWN_DECL(LsaOpenTrustedDomain);
UNKNOWN_DECL(LsaOpenTrustedDomainByName);
UNKNOWN_DECL(LsaQueryDomainInformationPolicy);
UNKNOWN_DECL(LsaQueryInfoTrustedDomain);
UNKNOWN_DECL(LsaQueryInformationPolicy);
UNKNOWN_DECL(LsaQuerySecret);
UNKNOWN_DECL(LsaQuerySecurityObject);
UNKNOWN_DECL(LsaQueryTrustedDomainInfo);
UNKNOWN_DECL(LsaQueryTrustedDomainInfoByName);
UNKNOWN_DECL(LsaRemoveAccountRights);
UNKNOWN_DECL(LsaRemovePrivilegesFromAccount);
UNKNOWN_DECL(LsaRetrievePrivateData);
UNKNOWN_DECL(LsaSetDomainInformationPolicy);
UNKNOWN_DECL(LsaSetInformationPolicy);
UNKNOWN_DECL(LsaSetInformationTrustedDomain);
UNKNOWN_DECL(LsaSetQuotasForAccount);
UNKNOWN_DECL(LsaSetSecret);
UNKNOWN_DECL(LsaSetSecurityObject);
UNKNOWN_DECL(LsaSetSystemAccessAccount);
UNKNOWN_DECL(LsaSetTrustedDomainInfoByName);
UNKNOWN_DECL(LsaSetTrustedDomainInformation);
UNKNOWN_DECL(LsaStorePrivateData);
UNKNOWN_DECL(MakeAbsoluteSD);
UNKNOWN_DECL(MakeAbsoluteSD2);
UNKNOWN_DECL(MakeSelfRelativeSD);
UNKNOWN_DECL(MapGenericMask);
UNKNOWN_DECL(NotifyBootConfigStatus);
UNKNOWN_DECL(NotifyChangeEventLog);
UNKNOWN_DECL(ObjectCloseAuditAlarmA);
UNKNOWN_DECL(ObjectCloseAuditAlarmW);
UNKNOWN_DECL(ObjectDeleteAuditAlarmA);
UNKNOWN_DECL(ObjectDeleteAuditAlarmW);
UNKNOWN_DECL(ObjectOpenAuditAlarmA);
UNKNOWN_DECL(ObjectOpenAuditAlarmW);
UNKNOWN_DECL(ObjectPrivilegeAuditAlarmA);
UNKNOWN_DECL(ObjectPrivilegeAuditAlarmW);
UNKNOWN_DECL(OpenBackupEventLogA);
UNKNOWN_DECL(OpenBackupEventLogW);
UNKNOWN_DECL(OpenEncryptedFileRawA);
UNKNOWN_DECL(OpenEncryptedFileRawW);
UNKNOWN_DECL(OpenEventLogA);
UNKNOWN_DECL(OpenEventLogW);
UNKNOWN_DECL(OpenProcessToken);
UNKNOWN_DECL(OpenSCManagerA);
UNKNOWN_DECL(OpenSCManagerW);
UNKNOWN_DECL(OpenServiceA);
UNKNOWN_DECL(OpenServiceW);
UNKNOWN_DECL(OpenThreadToken);
UNKNOWN_DECL(OpenTraceA);
UNKNOWN_DECL(OpenTraceW);
UNKNOWN_DECL(PrivilegeCheck);
UNKNOWN_DECL(PrivilegedServiceAuditAlarmA);
UNKNOWN_DECL(PrivilegedServiceAuditAlarmW);
UNKNOWN_DECL(ProcessTrace);
UNKNOWN_DECL(QueryAllTracesA);
UNKNOWN_DECL(QueryAllTracesW);
UNKNOWN_DECL(QueryRecoveryAgentsOnEncryptedFile);
UNKNOWN_DECL(QueryServiceConfig2A);
UNKNOWN_DECL(QueryServiceConfig2W);
UNKNOWN_DECL(QueryServiceConfigA);
UNKNOWN_DECL(QueryServiceConfigW);
UNKNOWN_DECL(QueryServiceLockStatusA);
UNKNOWN_DECL(QueryServiceLockStatusW);
UNKNOWN_DECL(QueryServiceObjectSecurity);
UNKNOWN_DECL(QueryServiceStatus);
UNKNOWN_DECL(QueryServiceStatusEx);
UNKNOWN_DECL(QueryUsersOnEncryptedFile);
UNKNOWN_DECL(QueryWindows31FilesMigration);
UNKNOWN_DECL(ReadEncryptedFileRaw);
UNKNOWN_DECL(ReadEventLogA);
UNKNOWN_DECL(ReadEventLogW);
UNKNOWN_DECL(RegConnectRegistryA);
UNKNOWN_DECL(RegConnectRegistryW);
UNKNOWN_DECL(RegCreateKeyA);
UNKNOWN_DECL(RegCreateKeyExA);
UNKNOWN_DECL(RegCreateKeyW);
UNKNOWN_DECL(RegDeleteKeyA);
UNKNOWN_DECL(RegDeleteValueA);
UNKNOWN_DECL(RegDeleteValueW);
UNKNOWN_DECL(RegDisablePredefinedCache);
UNKNOWN_DECL(RegEnumKeyA);
UNKNOWN_DECL(RegEnumKeyExA);
UNKNOWN_DECL(RegEnumKeyExW);
UNKNOWN_DECL(RegEnumValueA);
UNKNOWN_DECL(RegEnumValueW);
UNKNOWN_DECL(RegFlushKey);
UNKNOWN_DECL(RegGetKeySecurity);
UNKNOWN_DECL(RegLoadKeyA);
UNKNOWN_DECL(RegLoadKeyW);
UNKNOWN_DECL(RegNotifyChangeKeyValue);
UNKNOWN_DECL(RegOpenCurrentUser);
UNKNOWN_DECL(RegOpenKeyA);
UNKNOWN_DECL(RegOpenKeyW);
UNKNOWN_DECL(RegOpenUserClassesRoot);
UNKNOWN_DECL(RegOverridePredefKey);
UNKNOWN_DECL(RegQueryInfoKeyA);
UNKNOWN_DECL(RegQueryMultipleValuesA);
UNKNOWN_DECL(RegQueryMultipleValuesW);
UNKNOWN_DECL(RegQueryValueA);
UNKNOWN_DECL(RegQueryValueW);
UNKNOWN_DECL(RegReplaceKeyA);
UNKNOWN_DECL(RegReplaceKeyW);
UNKNOWN_DECL(RegRestoreKeyA);
UNKNOWN_DECL(RegRestoreKeyW);
UNKNOWN_DECL(RegSaveKeyA);
UNKNOWN_DECL(RegSaveKeyW);
UNKNOWN_DECL(RegSetKeySecurity);
UNKNOWN_DECL(RegSetValueA);
UNKNOWN_DECL(RegSetValueExA);
UNKNOWN_DECL(RegSetValueW);
UNKNOWN_DECL(RegUnLoadKeyA);
UNKNOWN_DECL(RegUnLoadKeyW);
UNKNOWN_DECL(RegisterEventSourceA);
UNKNOWN_DECL(RegisterEventSourceW);
UNKNOWN_DECL(RegisterServiceCtrlHandlerA);
UNKNOWN_DECL(RegisterServiceCtrlHandlerExA);
UNKNOWN_DECL(RegisterServiceCtrlHandlerExW);
UNKNOWN_DECL(RegisterServiceCtrlHandlerW);
UNKNOWN_DECL(RegisterTraceGuidsA);
UNKNOWN_DECL(RegisterTraceGuidsW);
UNKNOWN_DECL(RemoveTraceCallback);
UNKNOWN_DECL(RemoveUsersFromEncryptedFile);
UNKNOWN_DECL(ReportEventA);
UNKNOWN_DECL(ReportEventW);
UNKNOWN_DECL(RevertToSelf);
UNKNOWN_DECL(SetAclInformation);
UNKNOWN_DECL(SetEntriesInAccessListA);
UNKNOWN_DECL(SetEntriesInAccessListW);
UNKNOWN_DECL(SetEntriesInAclA);
UNKNOWN_DECL(SetEntriesInAclW);
UNKNOWN_DECL(SetEntriesInAuditListA);
UNKNOWN_DECL(SetEntriesInAuditListW);
UNKNOWN_DECL(SetFileSecurityA);
UNKNOWN_DECL(SetFileSecurityW);
UNKNOWN_DECL(SetKernelObjectSecurity);
UNKNOWN_DECL(SetNamedSecurityInfoA);
UNKNOWN_DECL(SetNamedSecurityInfoExA);
UNKNOWN_DECL(SetNamedSecurityInfoExW);
UNKNOWN_DECL(SetNamedSecurityInfoW);
UNKNOWN_DECL(SetPrivateObjectSecurity);
UNKNOWN_DECL(SetPrivateObjectSecurityEx);
UNKNOWN_DECL(SetSecurityDescriptorControl);
UNKNOWN_DECL(SetSecurityDescriptorDacl);
UNKNOWN_DECL(SetSecurityDescriptorGroup);
UNKNOWN_DECL(SetSecurityDescriptorOwner);
UNKNOWN_DECL(SetSecurityDescriptorRMControl);
UNKNOWN_DECL(SetSecurityDescriptorSacl);
UNKNOWN_DECL(SetSecurityInfo);
UNKNOWN_DECL(SetSecurityInfoExA);
UNKNOWN_DECL(SetSecurityInfoExW);
UNKNOWN_DECL(SetServiceBits);
UNKNOWN_DECL(SetServiceObjectSecurity);
UNKNOWN_DECL(SetServiceStatus);
UNKNOWN_DECL(SetThreadToken);
UNKNOWN_DECL(SetTokenInformation);
UNKNOWN_DECL(SetTraceCallback);
UNKNOWN_DECL(SetUserFileEncryptionKey);
UNKNOWN_DECL(StartServiceA);
UNKNOWN_DECL(StartServiceCtrlDispatcherA);
UNKNOWN_DECL(StartServiceCtrlDispatcherW);
UNKNOWN_DECL(StartServiceW);
UNKNOWN_DECL(StartTraceA);
UNKNOWN_DECL(StartTraceW);
UNKNOWN_DECL(SynchronizeWindows31FilesAndWindowsNTRegistry);
UNKNOWN_DECL(SystemFunction001);
UNKNOWN_DECL(SystemFunction002);
UNKNOWN_DECL(SystemFunction003);
UNKNOWN_DECL(SystemFunction004);
UNKNOWN_DECL(SystemFunction005);
UNKNOWN_DECL(SystemFunction006);
UNKNOWN_DECL(SystemFunction007);
UNKNOWN_DECL(SystemFunction008);
UNKNOWN_DECL(SystemFunction009);
UNKNOWN_DECL(SystemFunction010);
UNKNOWN_DECL(SystemFunction011);
UNKNOWN_DECL(SystemFunction012);
UNKNOWN_DECL(SystemFunction013);
UNKNOWN_DECL(SystemFunction014);
UNKNOWN_DECL(SystemFunction015);
UNKNOWN_DECL(SystemFunction016);
UNKNOWN_DECL(SystemFunction017);
UNKNOWN_DECL(SystemFunction018);
UNKNOWN_DECL(SystemFunction019);
UNKNOWN_DECL(SystemFunction020);
UNKNOWN_DECL(SystemFunction021);
UNKNOWN_DECL(SystemFunction022);
UNKNOWN_DECL(SystemFunction023);
UNKNOWN_DECL(SystemFunction024);
UNKNOWN_DECL(SystemFunction025);
UNKNOWN_DECL(SystemFunction026);
UNKNOWN_DECL(SystemFunction027);
UNKNOWN_DECL(SystemFunction028);
UNKNOWN_DECL(SystemFunction029);
UNKNOWN_DECL(SystemFunction030);
UNKNOWN_DECL(SystemFunction031);
UNKNOWN_DECL(SystemFunction033);
UNKNOWN_DECL(SystemFunction034);
UNKNOWN_DECL(SystemFunction035);
UNKNOWN_DECL(SystemFunction040);
UNKNOWN_DECL(SystemFunction041);
UNKNOWN_DECL(TraceEvent);
UNKNOWN_DECL(TraceEventInstance);
UNKNOWN_DECL(TrusteeAccessToObjectA);
UNKNOWN_DECL(TrusteeAccessToObjectW);
UNKNOWN_DECL(UninstallApplication);
UNKNOWN_DECL(UnlockServiceDatabase);
UNKNOWN_DECL(UnregisterTraceGuids);
UNKNOWN_DECL(WmiCloseBlock);
UNKNOWN_DECL(WmiDevInstToInstanceNameA);
UNKNOWN_DECL(WmiDevInstToInstanceNameW);
UNKNOWN_DECL(WmiEnumerateGuids);
UNKNOWN_DECL(WmiExecuteMethodA);
UNKNOWN_DECL(WmiExecuteMethodW);
UNKNOWN_DECL(WmiFileHandleToInstanceNameA);
UNKNOWN_DECL(WmiFileHandleToInstanceNameW);
UNKNOWN_DECL(WmiFreeBuffer);
UNKNOWN_DECL(WmiMofEnumerateResourcesA);
UNKNOWN_DECL(WmiMofEnumerateResourcesW);
UNKNOWN_DECL(WmiNotificationRegistrationA);
UNKNOWN_DECL(WmiNotificationRegistrationW);
UNKNOWN_DECL(WmiOpenBlock);
UNKNOWN_DECL(WmiQueryAllDataA);
UNKNOWN_DECL(WmiQueryAllDataW);
UNKNOWN_DECL(WmiQueryGuidInformation);
UNKNOWN_DECL(WmiQuerySingleInstanceA);
UNKNOWN_DECL(WmiQuerySingleInstanceW);
UNKNOWN_DECL(WmiSetSingleInstanceA);
UNKNOWN_DECL(WmiSetSingleInstanceW);
UNKNOWN_DECL(WmiSetSingleItemA);
UNKNOWN_DECL(WmiSetSingleItemW);
UNKNOWN_DECL(WriteEncryptedFileRaw);

FORWARD(CryptAcquireContextA);
FORWARD(CryptGenRandom);
FORWARD(RegCloseKey);
FORWARD(RegDeleteKeyW);
FORWARD(RegCreateKeyExW);
FORWARD(RegQueryInfoKeyW);
FORWARD(RegSetValueExW);
FORWARD(SystemFunction032);
FORWARD(RegQueryValueExW);
FORWARD(RegOpenKeyExW);
FORWARD(RegEnumKeyW);
FORWARD(CryptReleaseContext);
FORWARD(AbortSystemShutdownA);
FORWARD(AbortSystemShutdownW);
FORWARD(AccessCheck);
FORWARD(AccessCheckAndAuditAlarmA);
FORWARD(AccessCheckAndAuditAlarmW);
FORWARD(AccessCheckByType);
FORWARD(AccessCheckByTypeAndAuditAlarmA);
FORWARD(AccessCheckByTypeAndAuditAlarmW);
FORWARD(AccessCheckByTypeResultList);
FORWARD(AccessCheckByTypeResultListAndAuditAlarmA);
FORWARD(AccessCheckByTypeResultListAndAuditAlarmByHandleA);
FORWARD(AccessCheckByTypeResultListAndAuditAlarmByHandleW);
FORWARD(AccessCheckByTypeResultListAndAuditAlarmW);
FORWARD(AddAccessAllowedAce);
FORWARD(AddAccessAllowedAceEx);
FORWARD(AddAccessAllowedObjectAce);
FORWARD(AddAccessDeniedAce);
FORWARD(AddAccessDeniedAceEx);
FORWARD(AddAccessDeniedObjectAce);
FORWARD(AddAce);
FORWARD(AddAuditAccessAce);
FORWARD(AddAuditAccessAceEx);
FORWARD(AddAuditAccessObjectAce);
FORWARD(AddUsersToEncryptedFile);
FORWARD(AdjustTokenGroups);
FORWARD(AdjustTokenPrivileges);
FORWARD(AllocateAndInitializeSid);
FORWARD(AllocateLocallyUniqueId);
FORWARD(AreAllAccessesGranted);
FORWARD(AreAnyAccessesGranted);
FORWARD(BackupEventLogA);
FORWARD(BackupEventLogW);
FORWARD(BuildExplicitAccessWithNameA);
FORWARD(BuildExplicitAccessWithNameW);
FORWARD(BuildImpersonateExplicitAccessWithNameA);
FORWARD(BuildImpersonateExplicitAccessWithNameW);
FORWARD(BuildImpersonateTrusteeA);
FORWARD(BuildImpersonateTrusteeW);
FORWARD(BuildSecurityDescriptorA);
FORWARD(BuildSecurityDescriptorW);
FORWARD(BuildTrusteeWithNameA);
FORWARD(BuildTrusteeWithNameW);
FORWARD(BuildTrusteeWithObjectsAndNameA);
FORWARD(BuildTrusteeWithObjectsAndNameW);
FORWARD(BuildTrusteeWithObjectsAndSidA);
FORWARD(BuildTrusteeWithObjectsAndSidW);
FORWARD(BuildTrusteeWithSidA);
FORWARD(BuildTrusteeWithSidW);
FORWARD(CancelOverlappedAccess);
FORWARD(ChangeServiceConfig2A);
FORWARD(ChangeServiceConfig2W);
FORWARD(ChangeServiceConfigA);
FORWARD(ChangeServiceConfigW);
FORWARD(CheckTokenMembership);
FORWARD(ClearEventLogA);
FORWARD(ClearEventLogW);
FORWARD(CloseEncryptedFileRaw);
FORWARD(CloseEventLog);
FORWARD(CloseServiceHandle);
FORWARD(CloseTrace);
FORWARD(CommandLineFromMsiDescriptor);
FORWARD(ControlService);
FORWARD(ControlTraceA);
FORWARD(ControlTraceW);
FORWARD(ConvertAccessToSecurityDescriptorA);
FORWARD(ConvertAccessToSecurityDescriptorW);
FORWARD(ConvertSDToStringSDRootDomainA);
FORWARD(ConvertSDToStringSDRootDomainW);
FORWARD(ConvertSecurityDescriptorToAccessA);
FORWARD(ConvertSecurityDescriptorToAccessNamedA);
FORWARD(ConvertSecurityDescriptorToAccessNamedW);
FORWARD(ConvertSecurityDescriptorToAccessW);
FORWARD(ConvertSecurityDescriptorToStringSecurityDescriptorA);
FORWARD(ConvertSecurityDescriptorToStringSecurityDescriptorW);
FORWARD(ConvertSidToStringSidA);
FORWARD(ConvertSidToStringSidW);
FORWARD(ConvertStringSDToSDRootDomainA);
FORWARD(ConvertStringSDToSDRootDomainW);
FORWARD(ConvertStringSecurityDescriptorToSecurityDescriptorA);
FORWARD(ConvertStringSecurityDescriptorToSecurityDescriptorW);
FORWARD(ConvertStringSidToSidA);
FORWARD(ConvertStringSidToSidW);
FORWARD(ConvertToAutoInheritPrivateObjectSecurity);
FORWARD(CopySid);
FORWARD(CreatePrivateObjectSecurity);
FORWARD(CreatePrivateObjectSecurityEx);
FORWARD(CreateProcessAsUserA);
FORWARD(CreateProcessAsUserSecure);
FORWARD(CreateProcessAsUserW);
FORWARD(CreateProcessWithLogonW);
FORWARD(CreateRestrictedToken);
FORWARD(CreateServiceA);
FORWARD(CreateServiceW);
FORWARD(CreateTraceInstanceId);
FORWARD(CreateWellKnownSid);
FORWARD(CryptAcquireContextW);
FORWARD(CryptContextAddRef);
FORWARD(CryptCreateHash);
FORWARD(CryptDecrypt);
FORWARD(CryptDeriveKey);
FORWARD(CryptDestroyHash);
FORWARD(CryptDestroyKey);
FORWARD(CryptDuplicateHash);
FORWARD(CryptDuplicateKey);
FORWARD(CryptEncrypt);
FORWARD(CryptEnumProviderTypesA);
FORWARD(CryptEnumProviderTypesW);
FORWARD(CryptEnumProvidersA);
FORWARD(CryptEnumProvidersW);
FORWARD(CryptExportKey);
FORWARD(CryptGenKey);
FORWARD(CryptGetDefaultProviderA);
FORWARD(CryptGetDefaultProviderW);
FORWARD(CryptGetHashParam);
FORWARD(CryptGetKeyParam);
FORWARD(CryptGetProvParam);
FORWARD(CryptGetUserKey);
FORWARD(CryptHashData);
FORWARD(CryptHashSessionKey);
FORWARD(CryptImportKey);
FORWARD(CryptSetHashParam);
FORWARD(CryptSetKeyParam);
FORWARD(CryptSetProvParam);
FORWARD(CryptSetProviderA);
FORWARD(CryptSetProviderExA);
FORWARD(CryptSetProviderExW);
FORWARD(CryptSetProviderW);
FORWARD(CryptSignHashA);
FORWARD(CryptSignHashW);
FORWARD(CryptVerifySignatureA);
FORWARD(CryptVerifySignatureW);
FORWARD(DecryptFileA);
FORWARD(DecryptFileW);
FORWARD(DeleteAce);
FORWARD(DeleteService);
FORWARD(DeregisterEventSource);
FORWARD(DestroyPrivateObjectSecurity);
FORWARD(DuplicateEncryptionInfoFile);
FORWARD(DuplicateToken);
FORWARD(DuplicateTokenEx);
FORWARD(ElfBackupEventLogFileA);
FORWARD(ElfBackupEventLogFileW);
FORWARD(ElfChangeNotify);
FORWARD(ElfClearEventLogFileA);
FORWARD(ElfClearEventLogFileW);
FORWARD(ElfCloseEventLog);
FORWARD(ElfDeregisterEventSource);
FORWARD(ElfFlushEventLog);
FORWARD(ElfNumberOfRecords);
FORWARD(ElfOldestRecord);
FORWARD(ElfOpenBackupEventLogA);
FORWARD(ElfOpenBackupEventLogW);
FORWARD(ElfOpenEventLogA);
FORWARD(ElfOpenEventLogW);
FORWARD(ElfReadEventLogA);
FORWARD(ElfReadEventLogW);
FORWARD(ElfRegisterEventSourceA);
FORWARD(ElfRegisterEventSourceW);
FORWARD(ElfReportEventA);
FORWARD(ElfReportEventW);
FORWARD(EnableTrace);
FORWARD(EncryptFileA);
FORWARD(EncryptFileW);
FORWARD(EncryptionDisable);
FORWARD(EnumDependentServicesA);
FORWARD(EnumDependentServicesW);
FORWARD(EnumServiceGroupW);
FORWARD(EnumServicesStatusA);
FORWARD(EnumServicesStatusExA);
FORWARD(EnumServicesStatusExW);
FORWARD(EnumServicesStatusW);
FORWARD(EqualDomainSid);
FORWARD(EqualPrefixSid);
FORWARD(EqualSid);
FORWARD(FileEncryptionStatusA);
FORWARD(FileEncryptionStatusW);
FORWARD(FindFirstFreeAce);
FORWARD(FreeEncryptionCertificateHashList);
FORWARD(FreeSid);
FORWARD(GetAccessPermissionsForObjectA);
FORWARD(GetAccessPermissionsForObjectW);
FORWARD(GetAce);
FORWARD(GetAclInformation);
FORWARD(GetAuditedPermissionsFromAclA);
FORWARD(GetAuditedPermissionsFromAclW);
FORWARD(GetCurrentHwProfileA);
FORWARD(GetCurrentHwProfileW);
FORWARD(GetEffectiveRightsFromAclA);
FORWARD(GetEffectiveRightsFromAclW);
FORWARD(GetEventLogInformation);
FORWARD(GetExplicitEntriesFromAclA);
FORWARD(GetExplicitEntriesFromAclW);
FORWARD(GetFileSecurityA);
FORWARD(GetFileSecurityW);
FORWARD(GetKernelObjectSecurity);
FORWARD(GetLengthSid);
FORWARD(GetLocalManagedApplications);
FORWARD(GetManagedApplications);
FORWARD(GetMangledSiteSid);
FORWARD(GetMultipleTrusteeA);
FORWARD(GetMultipleTrusteeOperationA);
FORWARD(GetMultipleTrusteeOperationW);
FORWARD(GetMultipleTrusteeW);
FORWARD(GetNamedSecurityInfoA);
FORWARD(GetNamedSecurityInfoExA);
FORWARD(GetNamedSecurityInfoExW);
FORWARD(GetNamedSecurityInfoW);
FORWARD(GetNumberOfEventLogRecords);
FORWARD(GetOldestEventLogRecord);
FORWARD(GetOverlappedAccessResults);
FORWARD(GetPrivateObjectSecurity);
FORWARD(GetSecurityDescriptorControl);
FORWARD(GetSecurityDescriptorDacl);
FORWARD(GetSecurityDescriptorGroup);
FORWARD(GetSecurityDescriptorLength);
FORWARD(GetSecurityDescriptorOwner);
FORWARD(GetSecurityDescriptorRMControl);
FORWARD(GetSecurityDescriptorSacl);
FORWARD(GetSecurityInfo);
FORWARD(GetSecurityInfoExA);
FORWARD(GetSecurityInfoExW);
FORWARD(GetServiceDisplayNameA);
FORWARD(GetServiceDisplayNameW);
FORWARD(GetServiceKeyNameA);
FORWARD(GetServiceKeyNameW);
FORWARD(GetSidIdentifierAuthority);
FORWARD(GetSidLengthRequired);
FORWARD(GetSidSubAuthority);
FORWARD(GetSidSubAuthorityCount);
FORWARD(GetSiteDirectoryA);
FORWARD(GetSiteDirectoryW);
FORWARD(GetSiteNameFromSid);
FORWARD(GetSiteSidFromToken);
FORWARD(GetSiteSidFromUrl);
FORWARD(GetTokenInformation);
FORWARD(GetTraceEnableFlags);
FORWARD(GetTraceEnableLevel);
FORWARD(GetTraceLoggerHandle);
FORWARD(GetTrusteeFormA);
FORWARD(GetTrusteeFormW);
FORWARD(GetTrusteeNameA);
FORWARD(GetTrusteeNameW);
FORWARD(GetTrusteeTypeA);
FORWARD(GetTrusteeTypeW);
FORWARD(GetUserNameA);
FORWARD(GetUserNameW);
FORWARD(GetWindowsAccountDomainSid);
FORWARD(I_ScGetCurrentGroupStateW);
FORWARD(I_ScIsSecurityProcess);
FORWARD(I_ScPnPGetServiceName);
FORWARD(I_ScSetServiceBitsA);
FORWARD(I_ScSetServiceBitsW);
FORWARD(ImpersonateAnonymousToken);
FORWARD(ImpersonateLoggedOnUser);
FORWARD(ImpersonateNamedPipeClient);
FORWARD(ImpersonateSelf);
FORWARD(InitializeAcl);
FORWARD(InitializeSecurityDescriptor);
FORWARD(InitializeSid);
FORWARD(InitiateSystemShutdownA);
FORWARD(InitiateSystemShutdownExA);
FORWARD(InitiateSystemShutdownExW);
FORWARD(InitiateSystemShutdownW);
FORWARD(InstallApplication);
FORWARD(IsInSandbox);
FORWARD(IsProcessRestricted);
FORWARD(IsTextUnicode);
FORWARD(IsTokenRestricted);
FORWARD(IsValidAcl);
FORWARD(IsValidSecurityDescriptor);
FORWARD(IsValidSid);
FORWARD(IsWellKnownSid);
FORWARD(LockServiceDatabase);
FORWARD(LogonUserA);
FORWARD(LogonUserW);
FORWARD(LookupAccountNameA);
FORWARD(LookupAccountNameW);
FORWARD(LookupAccountSidA);
FORWARD(LookupAccountSidW);
FORWARD(LookupPrivilegeDisplayNameA);
FORWARD(LookupPrivilegeDisplayNameW);
FORWARD(LookupPrivilegeNameA);
FORWARD(LookupPrivilegeNameW);
FORWARD(LookupPrivilegeValueA);
FORWARD(LookupPrivilegeValueW);
FORWARD(LookupSecurityDescriptorPartsA);
FORWARD(LookupSecurityDescriptorPartsW);
FORWARD(LsaAddAccountRights);
FORWARD(LsaAddPrivilegesToAccount);
FORWARD(LsaClearAuditLog);
FORWARD(LsaClose);
FORWARD(LsaCreateAccount);
FORWARD(LsaCreateSecret);
FORWARD(LsaCreateTrustedDomain);
FORWARD(LsaCreateTrustedDomainEx);
FORWARD(LsaDelete);
FORWARD(LsaDeleteTrustedDomain);
FORWARD(LsaEnumerateAccountRights);
FORWARD(LsaEnumerateAccounts);
FORWARD(LsaEnumerateAccountsWithUserRight);
FORWARD(LsaEnumeratePrivileges);
FORWARD(LsaEnumeratePrivilegesOfAccount);
FORWARD(LsaEnumerateTrustedDomains);
FORWARD(LsaEnumerateTrustedDomainsEx);
FORWARD(LsaFreeMemory);
FORWARD(LsaGetQuotasForAccount);
FORWARD(LsaGetRemoteUserName);
FORWARD(LsaGetSystemAccessAccount);
FORWARD(LsaGetUserName);
FORWARD(LsaICLookupNames);
FORWARD(LsaICLookupSids);
FORWARD(LsaLookupNames);
FORWARD(LsaLookupPrivilegeDisplayName);
FORWARD(LsaLookupPrivilegeName);
FORWARD(LsaLookupPrivilegeValue);
FORWARD(LsaLookupSids);
FORWARD(LsaNtStatusToWinError);
FORWARD(LsaOpenAccount);
FORWARD(LsaOpenPolicy);
FORWARD(LsaOpenPolicySce);
FORWARD(LsaOpenSecret);
FORWARD(LsaOpenTrustedDomain);
FORWARD(LsaOpenTrustedDomainByName);
FORWARD(LsaQueryDomainInformationPolicy);
FORWARD(LsaQueryInfoTrustedDomain);
FORWARD(LsaQueryInformationPolicy);
FORWARD(LsaQuerySecret);
FORWARD(LsaQuerySecurityObject);
FORWARD(LsaQueryTrustedDomainInfo);
FORWARD(LsaQueryTrustedDomainInfoByName);
FORWARD(LsaRemoveAccountRights);
FORWARD(LsaRemovePrivilegesFromAccount);
FORWARD(LsaRetrievePrivateData);
FORWARD(LsaSetDomainInformationPolicy);
FORWARD(LsaSetInformationPolicy);
FORWARD(LsaSetInformationTrustedDomain);
FORWARD(LsaSetQuotasForAccount);
FORWARD(LsaSetSecret);
FORWARD(LsaSetSecurityObject);
FORWARD(LsaSetSystemAccessAccount);
FORWARD(LsaSetTrustedDomainInfoByName);
FORWARD(LsaSetTrustedDomainInformation);
FORWARD(LsaStorePrivateData);
FORWARD(MakeAbsoluteSD);
FORWARD(MakeAbsoluteSD2);
FORWARD(MakeSelfRelativeSD);
FORWARD(MapGenericMask);
FORWARD(NotifyBootConfigStatus);
FORWARD(NotifyChangeEventLog);
FORWARD(ObjectCloseAuditAlarmA);
FORWARD(ObjectCloseAuditAlarmW);
FORWARD(ObjectDeleteAuditAlarmA);
FORWARD(ObjectDeleteAuditAlarmW);
FORWARD(ObjectOpenAuditAlarmA);
FORWARD(ObjectOpenAuditAlarmW);
FORWARD(ObjectPrivilegeAuditAlarmA);
FORWARD(ObjectPrivilegeAuditAlarmW);
FORWARD(OpenBackupEventLogA);
FORWARD(OpenBackupEventLogW);
FORWARD(OpenEncryptedFileRawA);
FORWARD(OpenEncryptedFileRawW);
FORWARD(OpenEventLogA);
FORWARD(OpenEventLogW);
FORWARD(OpenProcessToken);
FORWARD(OpenSCManagerA);
FORWARD(OpenSCManagerW);
FORWARD(OpenServiceA);
FORWARD(OpenServiceW);
FORWARD(OpenThreadToken);
FORWARD(OpenTraceA);
FORWARD(OpenTraceW);
FORWARD(PrivilegeCheck);
FORWARD(PrivilegedServiceAuditAlarmA);
FORWARD(PrivilegedServiceAuditAlarmW);
FORWARD(ProcessTrace);
FORWARD(QueryAllTracesA);
FORWARD(QueryAllTracesW);
FORWARD(QueryRecoveryAgentsOnEncryptedFile);
FORWARD(QueryServiceConfig2A);
FORWARD(QueryServiceConfig2W);
FORWARD(QueryServiceConfigA);
FORWARD(QueryServiceConfigW);
FORWARD(QueryServiceLockStatusA);
FORWARD(QueryServiceLockStatusW);
FORWARD(QueryServiceObjectSecurity);
FORWARD(QueryServiceStatus);
FORWARD(QueryServiceStatusEx);
FORWARD(QueryUsersOnEncryptedFile);
FORWARD(QueryWindows31FilesMigration);
FORWARD(ReadEncryptedFileRaw);
FORWARD(ReadEventLogA);
FORWARD(ReadEventLogW);
FORWARD(RegConnectRegistryA);
FORWARD(RegConnectRegistryW);
FORWARD(RegCreateKeyA);
FORWARD(RegCreateKeyExA);
FORWARD(RegCreateKeyW);
FORWARD(RegDeleteKeyA);
FORWARD(RegDeleteValueA);
FORWARD(RegDeleteValueW);
FORWARD(RegDisablePredefinedCache);
FORWARD(RegEnumKeyA);
FORWARD(RegEnumKeyExA);
FORWARD(RegEnumKeyExW);
FORWARD(RegEnumValueA);
FORWARD(RegEnumValueW);
FORWARD(RegFlushKey);
FORWARD(RegGetKeySecurity);
FORWARD(RegLoadKeyA);
FORWARD(RegLoadKeyW);
FORWARD(RegNotifyChangeKeyValue);
FORWARD(RegOpenCurrentUser);
FORWARD(RegOpenKeyA);
FORWARD(RegOpenKeyExA);
FORWARD(RegOpenKeyW);
FORWARD(RegOpenUserClassesRoot);
FORWARD(RegOverridePredefKey);
FORWARD(RegQueryInfoKeyA);
FORWARD(RegQueryMultipleValuesA);
FORWARD(RegQueryMultipleValuesW);
FORWARD(RegQueryValueA);
FORWARD(RegQueryValueExA);
FORWARD(RegQueryValueW);
FORWARD(RegReplaceKeyA);
FORWARD(RegReplaceKeyW);
FORWARD(RegRestoreKeyA);
FORWARD(RegRestoreKeyW);
FORWARD(RegSaveKeyA);
FORWARD(RegSaveKeyW);
FORWARD(RegSetKeySecurity);
FORWARD(RegSetValueA);
FORWARD(RegSetValueExA);
FORWARD(RegSetValueW);
FORWARD(RegUnLoadKeyA);
FORWARD(RegUnLoadKeyW);
FORWARD(RegisterEventSourceA);
FORWARD(RegisterEventSourceW);
FORWARD(RegisterServiceCtrlHandlerA);
FORWARD(RegisterServiceCtrlHandlerExA);
FORWARD(RegisterServiceCtrlHandlerExW);
FORWARD(RegisterServiceCtrlHandlerW);
FORWARD(RegisterTraceGuidsA);
FORWARD(RegisterTraceGuidsW);
FORWARD(RemoveTraceCallback);
FORWARD(RemoveUsersFromEncryptedFile);
FORWARD(ReportEventA);
FORWARD(ReportEventW);
FORWARD(RevertToSelf);
FORWARD(SetAclInformation);
FORWARD(SetEntriesInAccessListA);
FORWARD(SetEntriesInAccessListW);
FORWARD(SetEntriesInAclA);
FORWARD(SetEntriesInAclW);
FORWARD(SetEntriesInAuditListA);
FORWARD(SetEntriesInAuditListW);
FORWARD(SetFileSecurityA);
FORWARD(SetFileSecurityW);
FORWARD(SetKernelObjectSecurity);
FORWARD(SetNamedSecurityInfoA);
FORWARD(SetNamedSecurityInfoExA);
FORWARD(SetNamedSecurityInfoExW);
FORWARD(SetNamedSecurityInfoW);
FORWARD(SetPrivateObjectSecurity);
FORWARD(SetPrivateObjectSecurityEx);
FORWARD(SetSecurityDescriptorControl);
FORWARD(SetSecurityDescriptorDacl);
FORWARD(SetSecurityDescriptorGroup);
FORWARD(SetSecurityDescriptorOwner);
FORWARD(SetSecurityDescriptorRMControl);
FORWARD(SetSecurityDescriptorSacl);
FORWARD(SetSecurityInfo);
FORWARD(SetSecurityInfoExA);
FORWARD(SetSecurityInfoExW);
FORWARD(SetServiceBits);
FORWARD(SetServiceObjectSecurity);
FORWARD(SetServiceStatus);
FORWARD(SetThreadToken);
FORWARD(SetTokenInformation);
FORWARD(SetTraceCallback);
FORWARD(SetUserFileEncryptionKey);
FORWARD(StartServiceA);
FORWARD(StartServiceCtrlDispatcherA);
FORWARD(StartServiceCtrlDispatcherW);
FORWARD(StartServiceW);
FORWARD(StartTraceA);
FORWARD(StartTraceW);
FORWARD(SynchronizeWindows31FilesAndWindowsNTRegistry);
FORWARD(SystemFunction001);
FORWARD(SystemFunction002);
FORWARD(SystemFunction003);
FORWARD(SystemFunction004);
FORWARD(SystemFunction005);
FORWARD(SystemFunction006);
FORWARD(SystemFunction007);
FORWARD(SystemFunction008);
FORWARD(SystemFunction009);
FORWARD(SystemFunction010);
FORWARD(SystemFunction011);
FORWARD(SystemFunction012);
FORWARD(SystemFunction013);
FORWARD(SystemFunction014);
FORWARD(SystemFunction015);
FORWARD(SystemFunction016);
FORWARD(SystemFunction017);
FORWARD(SystemFunction018);
FORWARD(SystemFunction019);
FORWARD(SystemFunction020);
FORWARD(SystemFunction021);
FORWARD(SystemFunction022);
FORWARD(SystemFunction023);
FORWARD(SystemFunction024);
FORWARD(SystemFunction025);
FORWARD(SystemFunction026);
FORWARD(SystemFunction027);
FORWARD(SystemFunction028);
FORWARD(SystemFunction029);
FORWARD(SystemFunction030);
FORWARD(SystemFunction031);
FORWARD(SystemFunction033);
FORWARD(SystemFunction034);
FORWARD(SystemFunction035);
FORWARD(SystemFunction040);
FORWARD(SystemFunction041);
FORWARD(TraceEvent);
FORWARD(TraceEventInstance);
FORWARD(TrusteeAccessToObjectA);
FORWARD(TrusteeAccessToObjectW);
FORWARD(UninstallApplication);
FORWARD(UnlockServiceDatabase);
FORWARD(UnregisterTraceGuids);
FORWARD(WmiCloseBlock);
FORWARD(WmiDevInstToInstanceNameA);
FORWARD(WmiDevInstToInstanceNameW);
FORWARD(WmiEnumerateGuids);
FORWARD(WmiExecuteMethodA);
FORWARD(WmiExecuteMethodW);
FORWARD(WmiFileHandleToInstanceNameA);
FORWARD(WmiFileHandleToInstanceNameW);
FORWARD(WmiFreeBuffer);
FORWARD(WmiMofEnumerateResourcesA);
FORWARD(WmiMofEnumerateResourcesW);
FORWARD(WmiNotificationRegistrationA);
FORWARD(WmiNotificationRegistrationW);
FORWARD(WmiOpenBlock);
FORWARD(WmiQueryAllDataA);
FORWARD(WmiQueryAllDataW);
FORWARD(WmiQueryGuidInformation);
FORWARD(WmiQuerySingleInstanceA);
FORWARD(WmiQuerySingleInstanceW);
FORWARD(WmiSetSingleInstanceA);
FORWARD(WmiSetSingleInstanceW);
FORWARD(WmiSetSingleItemA);
FORWARD(WmiSetSingleItemW);
FORWARD(WriteEncryptedFileRaw);
